/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package model.adresses;

import javax.persistence.Entity;
import javax.persistence.ManyToOne;
import model.company.Company;

/**
 *
 * @author Patrick
 */
@Entity
public class CompanyBillingAddress extends Address{
    @ManyToOne
    private Company company;
    
    private boolean delivery;

    public CompanyBillingAddress() {
    }

    public CompanyBillingAddress(Company company, boolean delivery) {
        this.company = company;
        this.delivery = delivery;
    }

    public CompanyBillingAddress(Company company, boolean delivery,String country, String street, String number, String extra, Integer postnumber, String county, String place) {
        super(country, street, number, extra, postnumber, county, place);
        this.company = company;
        this.delivery = delivery;
    }

    public Company getCompany() {
        return company;
    }

    public void setCompany(Company company) {
        this.company = company;
    }

    public boolean isDelivery() {
        return delivery;
    }

    public void setDelivery(boolean delivery) {
        this.delivery = delivery;
    }
}
